Page MenuHomePhabricator

Undeploy Community Safety Survey from RU and JA Wikipedias (est. on or after June 14th)
Closed, ResolvedPublic

Assigned To
Authored By
TAndic
Jun 13 2023, 9:21 AM
Referenced Files
F37105928: image.png
Jun 15 2023, 10:11 PM
F37105926: image.png
Jun 15 2023, 10:11 PM
F37105924: image.png
Jun 15 2023, 10:11 PM
F37105922: image.png
Jun 15 2023, 10:11 PM
F37105920: image.png
Jun 15 2023, 10:11 PM
F37105959: image.png
Jun 15 2023, 10:11 PM

Description

User Story

The Community Safety Surveys on ruwiki and jawiki have received sufficient responses to be undeployed after a week of data collection (on Wednesday June 14th or after).

Technical information

Deployment ticket: T337728

Testing and QA steps

  • To be determined by TST

Acceptance Criteria

  • Safety survey is no longer displaying on ruwiki and jawiki

Event Timeline

Change 930639 had a related patch set uploaded (by Eigyan; author: Eigyan):

[operations/mediawiki-config@master] Remove GDI survey from RU and JA wikis.

https://gerrit.wikimedia.org/r/930639

Change 930639 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove GDI survey from RU and JA wikis.

https://gerrit.wikimedia.org/r/930639

Mentioned in SAL (#wikimedia-operations) [2023-06-15T20:13:40Z] <thcipriani@deploy1002> Started scap: Backport for [[gerrit:930639|Remove GDI survey from RU and JA wikis. (T338926)]]

Mentioned in SAL (#wikimedia-operations) [2023-06-15T20:15:13Z] <thcipriani@deploy1002> essexigyan and thcipriani: Backport for [[gerrit:930639|Remove GDI survey from RU and JA wikis. (T338926)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-06-15T20:30:10Z] <thcipriani@deploy1002> Finished scap: Backport for [[gerrit:930639|Remove GDI survey from RU and JA wikis. (T338926)]] (duration: 16m 30s)

@eigyan:

After the Safety Survey was Undeployed from Production, I verified the survey was not displaying on the Production sites for Russia and Japan wikis.

Verification was executed at the following URLs:
https://ru.wikipedia.org/wiki/%D0%93%D0%B5%D0%BB%D0%BB,_%D0%A3%D0%B8%D0%BB%D1%8C%D1%8F%D0%BC?quicksurvey=internal-gdi-safety-survey
https://ja.wikipedia.org/wiki/%E3%82%B5%E3%83%BC?quicksurvey=internal-gdi-safety-survey

image.png (959×1 px, 346 KB)
image.png (947×1 px, 423 KB)
image.png (942×1 px, 1 MB)
image.png (936×1 px, 547 KB)
image.png (834×1 px, 317 KB)
image.png (939×1 px, 350 KB)

Looks like this is done.